1 # Makefile.in generated by automake 1.15 from Makefile.am.
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
19 if test -z '$(MAKELEVEL)'; then \
21 elif test -n '$(MAKE_HOST)'; then \
23 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
29 am__make_running_with_option = \
30 case $${target_option-} in \
32 *) echo "am__make_running_with_option: internal error: invalid" \
33 "target option '$${target_option-}' specified" >&2; \
37 sane_makeflags=$$MAKEFLAGS; \
38 if $(am__is_gnu_make); then \
39 sane_makeflags=$$MFLAGS; \
44 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
51 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53 for flg in $$sane_makeflags; do \
54 test $$skip_next = yes && { skip_next=no; continue; }; \
57 -*I) strip_trailopt 'I'; skip_next=yes;; \
58 -*I?*) strip_trailopt 'I';; \
59 -*O) strip_trailopt 'O'; skip_next=yes;; \
60 -*O?*) strip_trailopt 'O';; \
61 -*l) strip_trailopt 'l'; skip_next=yes;; \
62 -*l?*) strip_trailopt 'l';; \
63 -[dEDm]) skip_next=yes;; \
64 -[JT]) skip_next=yes;; \
67 *$$target_option*) has_opt=yes; break;; \
71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73 pkgdatadir = $(datadir)/@PACKAGE@
74 pkgincludedir = $(includedir)/@PACKAGE@
75 pkglibdir = $(libdir)/@PACKAGE@
76 pkglibexecdir = $(libexecdir)/@PACKAGE@
77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78 install_sh_DATA = $(install_sh) -c -m 644
79 install_sh_PROGRAM = $(install_sh) -c
80 install_sh_SCRIPT = $(install_sh) -c
81 INSTALL_HEADER = $(INSTALL_DATA)
82 transform = $(program_transform_name)
89 build_triplet = @build@
91 bin_PROGRAMS = dselect$(EXEEXT)
93 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
94 am__aclocal_m4_deps = $(top_srcdir)/m4/dpkg-arch.m4 \
95 $(top_srcdir)/m4/dpkg-build.m4 \
96 $(top_srcdir)/m4/dpkg-compiler.m4 \
97 $(top_srcdir)/m4/dpkg-coverage.m4 \
98 $(top_srcdir)/m4/dpkg-funcs.m4 $(top_srcdir)/m4/dpkg-libs.m4 \
99 $(top_srcdir)/m4/dpkg-linker.m4 $(top_srcdir)/m4/dpkg-progs.m4 \
100 $(top_srcdir)/m4/dpkg-types.m4 \
101 $(top_srcdir)/m4/dpkg-unicode.m4 $(top_srcdir)/m4/gettext.m4 \
102 $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
103 $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
104 $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
105 $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
106 $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
107 $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
108 $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
109 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
111 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
112 mkinstalldirs = $(install_sh) -d
113 CONFIG_HEADER = $(top_builddir)/config.h
115 CONFIG_CLEAN_VPATH_FILES =
116 am__installdirs = "$(DESTDIR)$(bindir)"
117 PROGRAMS = $(bin_PROGRAMS)
118 am_dselect_OBJECTS = cxx-support.$(OBJEXT) basecmds.$(OBJEXT) \
119 baselist.$(OBJEXT) basetop.$(OBJEXT) bindings.$(OBJEXT) \
120 curkeys.$(OBJEXT) helpmsgs.$(OBJEXT) main.$(OBJEXT) \
121 methkeys.$(OBJEXT) methlist.$(OBJEXT) method.$(OBJEXT) \
122 methparse.$(OBJEXT) pkgcmds.$(OBJEXT) pkgdepcon.$(OBJEXT) \
123 pkgdisplay.$(OBJEXT) pkginfo.$(OBJEXT) pkgkeys.$(OBJEXT) \
124 pkglist.$(OBJEXT) pkgsublist.$(OBJEXT) pkgtop.$(OBJEXT)
125 dselect_OBJECTS = $(am_dselect_OBJECTS)
127 dselect_DEPENDENCIES = $(am__DEPENDENCIES_1) ../lib/dpkg/libdpkg.la \
128 $(am__DEPENDENCIES_1)
129 AM_V_lt = $(am__v_lt_@AM_V@)
130 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
131 am__v_lt_0 = --silent
133 AM_V_P = $(am__v_P_@AM_V@)
134 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
137 AM_V_GEN = $(am__v_GEN_@AM_V@)
138 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
139 am__v_GEN_0 = @echo " GEN " $@;
141 AM_V_at = $(am__v_at_@AM_V@)
142 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
146 depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
147 am__depfiles_maybe = depfiles
149 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
150 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
151 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
152 $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
153 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
154 $(AM_CXXFLAGS) $(CXXFLAGS)
155 AM_V_CXX = $(am__v_CXX_@AM_V@)
156 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
157 am__v_CXX_0 = @echo " CXX " $@;
160 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
161 $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
162 $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
163 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
164 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
165 am__v_CXXLD_0 = @echo " CXXLD " $@;
167 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
168 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
169 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
170 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
171 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
172 $(AM_CFLAGS) $(CFLAGS)
173 AM_V_CC = $(am__v_CC_@AM_V@)
174 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
175 am__v_CC_0 = @echo " CC " $@;
178 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
179 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
180 $(AM_LDFLAGS) $(LDFLAGS) -o $@
181 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
182 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
183 am__v_CCLD_0 = @echo " CCLD " $@;
185 SOURCES = $(dselect_SOURCES)
186 DIST_SOURCES = $(dselect_SOURCES)
187 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
188 ctags-recursive dvi-recursive html-recursive info-recursive \
189 install-data-recursive install-dvi-recursive \
190 install-exec-recursive install-html-recursive \
191 install-info-recursive install-pdf-recursive \
192 install-ps-recursive install-recursive installcheck-recursive \
193 installdirs-recursive pdf-recursive ps-recursive \
194 tags-recursive uninstall-recursive
195 am__can_run_installinfo = \
196 case $$AM_UPDATE_INFO_DIR in \
198 *) (install-info --version) >/dev/null 2>&1;; \
200 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
201 distclean-recursive maintainer-clean-recursive
202 am__recursive_targets = \
203 $(RECURSIVE_TARGETS) \
204 $(RECURSIVE_CLEAN_TARGETS) \
205 $(am__extra_recursive_targets)
206 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
208 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
209 # Read a list of newline-separated strings from the standard input,
210 # and print each of them once, without duplicates. Input order is
212 am__uniquify_input = $(AWK) '\
213 BEGIN { nonempty = 0; } \
214 { items[$$0] = 1; nonempty = 1; } \
215 END { if (nonempty) { for (i in items) print i; }; } \
217 # Make sure the list of sources is unique. This is necessary because,
218 # e.g., the same source file might be shared among _SOURCES variables
219 # for different programs/libraries.
220 am__define_uniq_tagged_files = \
221 list='$(am__tagged_files)'; \
222 unique=`for i in $$list; do \
223 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
224 done | $(am__uniquify_input)`
227 DIST_SUBDIRS = $(SUBDIRS)
228 am__DIST_COMMON = $(srcdir)/Makefile.in \
229 $(top_srcdir)/build-aux/depcomp
230 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
233 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
234 sed_rest='s,^[^/]*/*,,'; \
235 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
236 sed_butlast='s,/*[^/]*$$,,'; \
237 while test -n "$$dir1"; do \
238 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
239 if test "$$first" != "."; then \
240 if test "$$first" = ".."; then \
241 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
242 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
244 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
245 if test "$$first2" = "$$first"; then \
246 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
250 dir0="$$dir0"/"$$first"; \
253 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
258 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
260 AUTOCONF = @AUTOCONF@
261 AUTOHEADER = @AUTOHEADER@
262 AUTOM4TE = @AUTOM4TE@
263 AUTOMAKE = @AUTOMAKE@
265 BUILD_DEVEL_DOCS = @BUILD_DEVEL_DOCS@
266 BZ2_LIBS = @BZ2_LIBS@
268 CCDEPMODE = @CCDEPMODE@
271 CPPFLAGS = @CPPFLAGS@
272 CURSES_LIBS = @CURSES_LIBS@
275 CXXDEPMODE = @CXXDEPMODE@
276 CXXFLAGS = @CXXFLAGS@
277 CYGPATH_W = @CYGPATH_W@
282 DSYMUTIL = @DSYMUTIL@
291 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
293 GMSGFMT_015 = @GMSGFMT_015@
295 HAVE_DOT = @HAVE_DOT@
297 INSTALL_DATA = @INSTALL_DATA@
298 INSTALL_PROGRAM = @INSTALL_PROGRAM@
299 INSTALL_SCRIPT = @INSTALL_SCRIPT@
300 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
301 INTLLIBS = @INTLLIBS@
302 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
303 KVM_LIBS = @KVM_LIBS@
305 LCOV_GENHTML = @LCOV_GENHTML@
308 LIBICONV = @LIBICONV@
315 LTLIBICONV = @LTLIBICONV@
316 LTLIBINTL = @LTLIBINTL@
317 LTLIBOBJS = @LTLIBOBJS@
318 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
319 LZMA_LIBS = @LZMA_LIBS@
320 MAKEINFO = @MAKEINFO@
321 MANIFEST_TOOL = @MANIFEST_TOOL@
325 MSGFMT_015 = @MSGFMT_015@
326 MSGMERGE = @MSGMERGE@
334 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
335 PACKAGE_COPYRIGHT_HOLDER = @PACKAGE_COPYRIGHT_HOLDER@
336 PACKAGE_NAME = @PACKAGE_NAME@
337 PACKAGE_RELEASE_DATE = @PACKAGE_RELEASE_DATE@
338 PACKAGE_STRING = @PACKAGE_STRING@
339 PACKAGE_TARNAME = @PACKAGE_TARNAME@
340 PACKAGE_URL = @PACKAGE_URL@
341 PACKAGE_VERSION = @PACKAGE_VERSION@
343 PATH_SEPARATOR = @PATH_SEPARATOR@
345 PERL_COVER = @PERL_COVER@
346 PERL_COVERAGE = @PERL_COVERAGE@
347 PERL_LIBDIR = @PERL_LIBDIR@
348 PKG_CONFIG = @PKG_CONFIG@
349 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
350 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
357 SELINUX_CFLAGS = @SELINUX_CFLAGS@
358 SELINUX_LIBS = @SELINUX_LIBS@
359 SET_MAKE = @SET_MAKE@
364 USE_PO4A = @USE_PO4A@
365 USE_UNICODE = @USE_UNICODE@
367 XGETTEXT = @XGETTEXT@
368 XGETTEXT_015 = @XGETTEXT_015@
369 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
371 abs_builddir = @abs_builddir@
372 abs_srcdir = @abs_srcdir@
373 abs_top_builddir = @abs_top_builddir@
374 abs_top_srcdir = @abs_top_srcdir@
375 ac_ct_AR = @ac_ct_AR@
376 ac_ct_CC = @ac_ct_CC@
377 ac_ct_CXX = @ac_ct_CXX@
378 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
379 admindir = @admindir@
380 am__include = @am__include@
381 am__leading_dot = @am__leading_dot@
382 am__quote = @am__quote@
384 am__untar = @am__untar@
387 build_alias = @build_alias@
388 build_cpu = @build_cpu@
389 build_os = @build_os@
390 build_vendor = @build_vendor@
391 builddir = @builddir@
393 datarootdir = @datarootdir@
394 devlibdir = @devlibdir@
397 exec_prefix = @exec_prefix@
399 host_alias = @host_alias@
400 host_cpu = @host_cpu@
402 host_vendor = @host_vendor@
404 includedir = @includedir@
406 install_sh = @install_sh@
408 libexecdir = @libexecdir@
409 localedir = $(datadir)/locale
410 localstatedir = @localstatedir@
414 oldincludedir = @oldincludedir@
416 pkgconfdir = $(sysconfdir)/@PACKAGE@
418 program_transform_name = @program_transform_name@
420 runstatedir = @runstatedir@
422 sharedstatedir = @sharedstatedir@
424 sysconfdir = @sysconfdir@
425 target_alias = @target_alias@
426 top_build_prefix = @top_build_prefix@
427 top_builddir = @top_builddir@
428 top_srcdir = @top_srcdir@
431 -DLOCALEDIR=\"$(localedir)\" \
432 -DADMINDIR=\"$(admindir)\" \
433 -DLIBDIR=\"$(pkglibexecdir)\" \
434 -DLOCALLIBDIR=\"/usr/local/lib/dpkg\" \
435 -idirafter $(top_srcdir)/lib/compat \
436 -iquote $(builddir) \
445 @HAVE_LINKER_AS_NEEDED_TRUE@AM_LDFLAGS = \
446 @HAVE_LINKER_AS_NEEDED_TRUE@ -Wl,--as-needed
455 bindings.cc bindings.h \
457 helpmsgs.cc helpmsgs.h \
468 pkglist.cc pkglist.h \
474 ../lib/dpkg/libdpkg.la \
477 EXTRA_DIST = keyoverride mkcurkeys.pl
478 CLEANFILES = curkeys.h
482 .SUFFIXES: .cc .lo .o .obj
483 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
485 case '$(am__configure_deps)' in \
487 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
488 && { if test -f $@; then exit 0; else break; fi; }; \
492 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign dselect/Makefile'; \
493 $(am__cd) $(top_srcdir) && \
494 $(AUTOMAKE) --foreign dselect/Makefile
495 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
498 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
500 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
501 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
504 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
505 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
507 $(top_srcdir)/configure: $(am__configure_deps)
508 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
509 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
510 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
511 $(am__aclocal_m4_deps):
512 install-binPROGRAMS: $(bin_PROGRAMS)
514 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
515 if test -n "$$list"; then \
516 echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
517 $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
519 for p in $$list; do echo "$$p $$p"; done | \
520 sed 's/$(EXEEXT)$$//' | \
521 while read p p1; do if test -f $$p \
523 ; then echo "$$p"; echo "$$p"; else :; fi; \
525 sed -e 'p;s,.*/,,;n;h' \
527 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
528 sed 'N;N;N;s,\n, ,g' | \
529 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
530 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
531 if ($$2 == $$4) files[d] = files[d] " " $$1; \
532 else { print "f", $$3 "/" $$4, $$1; } } \
533 END { for (d in files) print "f", d, files[d] }' | \
534 while read type dir files; do \
535 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
536 test -z "$$files" || { \
537 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
538 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
542 uninstall-binPROGRAMS:
544 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
545 files=`for p in $$list; do echo "$$p"; done | \
546 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
547 -e 's/$$/$(EXEEXT)/' \
549 test -n "$$list" || exit 0; \
550 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
551 cd "$(DESTDIR)$(bindir)" && rm -f $$files
554 @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
555 echo " rm -f" $$list; \
556 rm -f $$list || exit $$?; \
557 test -n "$(EXEEXT)" || exit 0; \
558 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
559 echo " rm -f" $$list; \
562 dselect$(EXEEXT): $(dselect_OBJECTS) $(dselect_DEPENDENCIES) $(EXTRA_dselect_DEPENDENCIES)
563 @rm -f dselect$(EXEEXT)
564 $(AM_V_CXXLD)$(CXXLINK) $(dselect_OBJECTS) $(dselect_LDADD) $(LIBS)
572 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basecmds.Po@am__quote@
573 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/baselist.Po@am__quote@
574 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basetop.Po@am__quote@
575 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bindings.Po@am__quote@
576 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/curkeys.Po@am__quote@
577 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cxx-support.Po@am__quote@
578 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/helpmsgs.Po@am__quote@
579 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
580 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/methkeys.Po@am__quote@
581 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/methlist.Po@am__quote@
582 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method.Po@am__quote@
583 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/methparse.Po@am__quote@
584 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkgcmds.Po@am__quote@
585 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkgdepcon.Po@am__quote@
586 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkgdisplay.Po@am__quote@
587 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkginfo.Po@am__quote@
588 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkgkeys.Po@am__quote@
589 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkglist.Po@am__quote@
590 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkgsublist.Po@am__quote@
591 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkgtop.Po@am__quote@
594 @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
595 @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
596 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
597 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
598 @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
601 @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
602 @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
603 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
604 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
605 @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
608 @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
609 @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
610 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
611 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
612 @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
620 # This directory's subdirectories are mostly independent; you can cd
621 # into them and run 'make' without going through this Makefile.
622 # To change the values of 'make' variables: instead of editing Makefiles,
623 # (1) if the variable is set in 'config.status', edit 'config.status'
624 # (which will cause the Makefiles to be regenerated when you run 'make');
625 # (2) otherwise, pass the desired values on the 'make' command line.
626 $(am__recursive_targets):
628 if $(am__make_keepgoing); then \
629 failcom='fail=yes'; \
634 target=`echo $@ | sed s/-recursive//`; \
636 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
637 *) list='$(SUBDIRS)' ;; \
639 for subdir in $$list; do \
640 echo "Making $$target in $$subdir"; \
641 if test "$$subdir" = "."; then \
643 local_target="$$target-am"; \
645 local_target="$$target"; \
647 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
650 if test "$$dot_seen" = "no"; then \
651 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
654 ID: $(am__tagged_files)
655 $(am__define_uniq_tagged_files); mkid -fID $$unique
659 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
662 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
663 include_option=--etags-include; \
666 include_option=--include; \
669 list='$(SUBDIRS)'; for subdir in $$list; do \
670 if test "$$subdir" = .; then :; else \
671 test ! -f $$subdir/TAGS || \
672 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
675 $(am__define_uniq_tagged_files); \
677 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
678 test -n "$$unique" || unique=$$empty_fix; \
679 if test $$# -gt 0; then \
680 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
683 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
687 ctags: ctags-recursive
690 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
691 $(am__define_uniq_tagged_files); \
692 test -z "$(CTAGS_ARGS)$$unique" \
693 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
697 here=`$(am__cd) $(top_builddir) && pwd` \
698 && $(am__cd) $(top_srcdir) \
699 && gtags -i $(GTAGS_ARGS) "$$here"
700 cscopelist: cscopelist-recursive
702 cscopelist-am: $(am__tagged_files)
703 list='$(am__tagged_files)'; \
704 case "$(srcdir)" in \
705 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
706 *) sdir=$(subdir)/$(srcdir) ;; \
708 for i in $$list; do \
709 if test -f "$$i"; then \
710 echo "$(subdir)/$$i"; \
714 done >> $(top_builddir)/cscope.files
717 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
719 distdir: $(DISTFILES)
720 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
721 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
722 list='$(DISTFILES)'; \
723 dist_files=`for file in $$list; do echo $$file; done | \
724 sed -e "s|^$$srcdirstrip/||;t" \
725 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
726 case $$dist_files in \
727 */*) $(MKDIR_P) `echo "$$dist_files" | \
728 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
731 for file in $$dist_files; do \
732 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
733 if test -d $$d/$$file; then \
734 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
735 if test -d "$(distdir)/$$file"; then \
736 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
738 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
739 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
740 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
742 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
744 test -f "$(distdir)/$$file" \
745 || cp -p $$d/$$file "$(distdir)/$$file" \
749 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
750 if test "$$subdir" = .; then :; else \
752 || test -d "$(distdir)/$$subdir" \
753 || $(MKDIR_P) "$(distdir)/$$subdir" \
755 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
757 new_distdir=$$reldir; \
758 dir1=$$subdir; dir2="$(top_distdir)"; \
760 new_top_distdir=$$reldir; \
761 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
762 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
763 ($(am__cd) $$subdir && \
764 $(MAKE) $(AM_MAKEFLAGS) \
765 top_distdir="$$new_top_distdir" \
766 distdir="$$new_distdir" \
767 am__remove_distdir=: \
768 am__skip_length_check=: \
769 am__skip_mode_fix=: \
775 check: check-recursive
776 all-am: Makefile $(PROGRAMS)
777 installdirs: installdirs-recursive
779 for dir in "$(DESTDIR)$(bindir)"; do \
780 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
782 install: install-recursive
783 install-exec: install-exec-recursive
784 install-data: install-data-recursive
785 uninstall: uninstall-recursive
788 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
790 installcheck: installcheck-recursive
792 if test -z '$(STRIP)'; then \
793 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
794 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
797 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
798 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
799 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
804 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
807 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
808 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
810 maintainer-clean-generic:
811 @echo "This command is intended for maintainers to use"
812 @echo "it deletes files that may require special tools to rebuild."
813 clean: clean-recursive
815 clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
817 distclean: distclean-recursive
820 distclean-am: clean-am distclean-compile distclean-generic \
835 install-data-am: install-data-local
837 install-dvi: install-dvi-recursive
841 install-exec-am: install-binPROGRAMS
843 install-html: install-html-recursive
847 install-info: install-info-recursive
853 install-pdf: install-pdf-recursive
857 install-ps: install-ps-recursive
863 maintainer-clean: maintainer-clean-recursive
866 maintainer-clean-am: distclean-am maintainer-clean-generic
868 mostlyclean: mostlyclean-recursive
870 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
881 uninstall-am: uninstall-binPROGRAMS
883 .MAKE: $(am__recursive_targets) install-am install-strip
885 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
886 check-am clean clean-binPROGRAMS clean-generic clean-libtool \
887 cscopelist-am ctags ctags-am distclean distclean-compile \
888 distclean-generic distclean-libtool distclean-tags distdir dvi \
889 dvi-am html html-am info info-am install install-am \
890 install-binPROGRAMS install-data install-data-am \
891 install-data-local install-dvi install-dvi-am install-exec \
892 install-exec-am install-html install-html-am install-info \
893 install-info-am install-man install-pdf install-pdf-am \
894 install-ps install-ps-am install-strip installcheck \
895 installcheck-am installdirs installdirs-am maintainer-clean \
896 maintainer-clean-generic mostlyclean mostlyclean-compile \
897 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
898 tags tags-am uninstall uninstall-am uninstall-binPROGRAMS
903 curkeys.$(OBJEXT): curkeys.h
904 curkeys.h: $(srcdir)/keyoverride $(srcdir)/mkcurkeys.pl
905 $(AM_V_GEN) cursesfile=`echo '#include "dselect-curses.h"' | \
906 $(CPP) $(CPPFLAGS) -I$(top_builddir) -I $(srcdir) - | \
907 grep '[^-]curses\.h' | head -n 1 | \
908 sed -e 's/^[^"]*"//; s/".*$$//'`; \
909 if [ "$$cursesfile" = "" ]; then \
910 echo "can't find curses file"; exit 1; \
912 $(PERL) $(srcdir)/mkcurkeys.pl $< $$cursesfile >$@
915 $(MKDIR_P) $(DESTDIR)$(pkgconfdir)/dselect.cfg.d
917 # Tell versions [3.59,3.63) of GNU make to not export all variables.
918 # Otherwise a system limit (for SysV at least) may be exceeded.